%define debug_package %{nil}

Name:		smathstudio
Version:	0.99.7030
Release:	%mkrel 1
Summary:	Small mathematics program with MathCad style
License:	Freeware
Group:		Sciences/Mathematics
URL:		https://en.smath.info/
Source0:	https://smath.info/file/BaH5L/SMathStudioDesktop.%(echo %{version} | sed -e "s/\\./_/g").Mono.tar.gz
Source1:	SSLogo48.png
Requires:	mono-core
Requires:	mono-winforms

%description
A free mathematical package with a graphical interface for the calculation
of mathematical expressions, and constructing two-dimensional and three-
dimensional graphs.

%build
#nothing

%prep
%setup -q -c -n %{name}-%{version}
rm -f %{name}_desktop_mono
gzip lang/*
gzip book/*
gzip examples/*
gzip plugins/*
gzip entries/*
gzip snippets/*
# fix wrong-script-end-of-line-encoding
sed -i 's/\r//' EULA/*
# fix permissions
chmod -x EULA/*
chmod -x book/*
chmod -x snippets/*
chmod -x lang/*
chmod -x entries/*

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af * %{buildroot}%{_datadir}/%{name}/
rm -rf %{buildroot}%{_datadir}/%{name}/EULA

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=SMathStudio
GenericName=SMath Studio Desktop
Comment=Mathematical editor with MathCad style
Comment[ru]=Математический редактор с MathCad стилем
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Education;Math;
EOF
install -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

install -dm 755 %{buildroot}%{_bindir}
cat > %{name} << EOF
#!/bin/bash
cd %{_datadir}/%{name}
exec mono "%{_datadir}/%{name}/SMathStudio_Desktop.exe" "\$@"
EOF
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%post
gzip -d %{_datadir}/%{name}/lang/*.gz
gzip -d %{_datadir}/%{name}/examples/*.gz
gzip -d %{_datadir}/%{name}/book/*.gz
gzip -d %{_datadir}/%{name}/plugins/*.gz
gzip -d %{_datadir}/%{name}/entries/*.gz
gzip -d %{_datadir}/%{name}/snippets/*.gz

%pre
if [ $1 -eq 2 ]; then
# delete application directory before upgrade
  rm -rf %{_datadir}/%{name}
fi

%postun
if [ $1 -eq 0 ]; then
# delete application directory after uninstall
  rm -rf %{_datadir}/%{name}
fi

%files
%doc EULA/*
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Jul 02 2025 daviddavid <daviddavid> 0.99.7030-1.mga10
+ Revision: 2244145
- new version: 0.99.7030
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Apr 15 2022 umeabot <umeabot> 0.99.6671-5.mga9.nonfree
+ Revision: 1850503
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 0.99.6671-4.mga8.nonfree
+ Revision: 1548827
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.99.6671-3.mga8.nonfree
+ Revision: 1446179
- fix mono dependency

* Sun Sep 23 2018 umeabot <umeabot> 0.99.6671-2.mga7
+ Revision: 1301072
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 0.99.6671-1.mga7
+ Revision: 1221808
- Update to version 0.99.6671

* Sun Nov 22 2015 alexl <alexl> 0.97.5737-1.mga6.nonfree
+ Revision: 904952
- version 0.97.5737
- fix %%postun, add %%pre scriptlet

* Wed Oct 15 2014 umeabot <umeabot> 0.97.5346-3.mga5.nonfree
+ Revision: 740022
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.97.5346-2.mga5.nonfree
+ Revision: 689205
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 alexl <alexl> 0.97.5346-1.mga5.nonfree
+ Revision: 670155
- imported package smathstudio

